
From: Ryan Anderson <ryan@michonline.com>

> cvs server: nothing known about ChangeSet
> Use of uninitialized value in numeric ne (!=) at /usr/src/25/scripts/setlocalversion line 95.
> Use of uninitialized value in numeric ne (!=) at /usr/src/25/scripts/setlocalversion line 95.

It's a CVS server, and the source tree has a CVS/ subdirectory, but it's
not a bkcvs derived tree, so the exact method of determining the "top of
tree" changeset is ...  different now.

The main problem is that CVS doesn't really have a concept of "top of tree
Changeset" because CVS doesn't have a concept of Changesets.

So, I punted, and looked for the "ChangeSet" file, too, now.

This also fixes the other warning, which was just a case of me being a bit
stupid (though the warning will probably never show if the other bug is
fixed)

Signed-Off-By: Ryan Anderson <ryan@michonline.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/setlocalversion |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN scripts/setlocalversion~bk-kbuild-cvs-fixes scripts/setlocalversion
--- 25/scripts/setlocalversion~bk-kbuild-cvs-fixes	2005-04-07 22:52:59.000000000 -0700
+++ 25-akpm/scripts/setlocalversion	2005-04-07 22:52:59.000000000 -0700
@@ -92,7 +92,7 @@ sub do_cvs_checks {
 		}
 	}
 
-	if ($working_revision != $revision_of_first_tag) {
+	if ($working_revision ne $revision_of_first_tag) {
 		push @LOCALVERSIONS, "cvs",$working_revision;
 	}
 	
@@ -108,7 +108,7 @@ if ( -d "BitKeeper" ) {
 	}
 }
 
-if ( -d "CVS" ) {
+if ( -d "CVS" && -f "ChangeSet" ) {
 	my $cvs = `which cvs`;
 	chomp $cvs;
 	if (length($cvs) != 0) {
_
